Trying to use mpg123 on a SymMOD

September 22, 2022 23:00 - Serj Doro

Status: Closed Start date: September 22, 2022

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/mpg123 Estimated time: 0.00 hour

Target version: 4.3.1   

Affects version: 4.2   

Description

Audacious is trying to use mpg123 on a SymMod file which must be played via OpenMPT and fails

OpenMPT(libopenmpt 0.6.5) is installed and plays the file just fine

OS is Arch Linux

History

#1 - October 01, 2022 10:03 - Alex .

to sort things out:

mpg123 is an audio-player, there is also libmpg123 which is used by Audacious

OpenMPT is an audio-tracker for the MS-Windows platform, it might run on GNU/Linux with Wine-surface

from my search, symmod files are files created by the symphony/symphony pro notation-applications, and OpenMPT can read them

So what is you r specific problem?

Do you try to open the symmod-files and your system wrongly handles it?

->Than it's a problem of the configuration of your system. You have to declare the application inside your mimeapps.list file.

Please write down if it's another problem.

#2 - October 05, 2022 22:53 - Thomas Lange

Please attach a sample file.

#3 - February 24, 2023 21:12 - Michael Schwendt

Alex . wrote:

Please write down if it's another problem.

 

The way I understand the problem report, it is about a file format detection issue. A MOD file (specifically a Symphony Module file) mistakenly being

assigned to Audacious' MPG123 input plugin. Some more details will be needed. Such as the file name extension (originally it's .SYMMOD for such

module files) and an example module file, too, as an attachment.
#4 - March 22, 2023 11:42 - Matti Tiainen

This PR fixes the issue: https://github.com/audacious-media-player/audacious-plugins/pull/133

Tested with files from http://ftp.modland.com/pub/modules/Symphonie/ with and without the fix. Without the fix most files get recognized as MP2. With

the PR the files recognize and play correctly.

#5 - March 22, 2023 15:06 - Matti Tiainen

I guess correct fix would be to update the extension list for openmpt plugin though.

#6 - April 29, 2023 21:25 - Thomas Lange

- Target version set to 4.3.1

- Status changed from New to Closed

- Category set to plugins/mpg123

- Subject changed from Trying to use mpg123 on a SymMOD  to Trying to use mpg123 on a SymMOD

Marking as closed, fixed with the Pull Request by Matti Tiainen.
